<script lang="ts">
    let text: String = "test";
</script>

<div class="card">
    <slot>
        {text}
    </slot>
</div>

<style lang="scss">
    .card {
        margin: 1rem 0.5rem;
        display: flex;
        min-width: 130px;
        flex-grow: 1;
        padding: 1rem;
        border: 1px solid #cccccc;
        border-radius: 0.3rem;
        box-shadow: 0.2rem 0.4rem 0.4rem #cccccc;
        flex-direction: column;
        justify-content: start;
        align-items: start;
    }
</style>
